Subject: [bmwg] FW: LDP convergence

From: "Rajiv Papneja" <[email-masked]>
Date: Thu, 28 Feb 2008 09:29:59 -0500

Hello Vishwas,

Thanks for the thorough review of our draft, and appreciate your feedback.
All inputs are valuable and we will try to address them soon. Please see
inline:

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf 
> Of Vishwas Manral
> Sent: Tuesday, February 26, 2008 1:36 PM
> To: [email-masked]
> Subject: [bmwg] LDP convergence
> 
> Hi Rajiv/ Karthik,
> 
> I would like to encourage the work being done on LDP convergence.
[rp] Thank you so much for your support. We really appreciate it.
> 
> We are also currently working on LDP scalability as well as 
> convergence improvements. I find that we need to take scalability and 
> convergence at hand togather. Having millisecond Hellos may help 
> faster convergence, but may reduce scalability, as the adjacencies 
> will go down, because of the short hold period.
[rp] Completely agree with you as both of these are critical components for
benchmarking performance of an implementation. We can definitely include it
in the work proposal that we are planning to submit to the mailing list
soon, and have the group decide if this work item should address the scaling
as well. I personally would like to include scaling as part of this effort. 
> 
> As most measurements are done for comparative testing besides just 
> seeing the performance of a device. In a test report we need to report 
> all parameters like memory/ CPU speed. We also need to report all 
> parameters like Hello Interval, Hold Time, Keepalive time etc. Other 
> protocols running, number of routes etc need to be reported too.
[rp] Agree, we will add the CPU utilization, and memory usage in the
reporting metrics. Also, we will also add the initial recommended conditions
before any test is started.
> 
> We also need to talk about Label Retention modes etc, which affect 
> convergence. We need to detail all that in the draft too I think.
[rp] We can include this in the reporting matrix that what type of label
retention mechanism is configured on the DUT. 
> 
> Also the convergence times, when the LDP goes down and then comes up 
> afresh (note though this happens very less often - it has been a major 
> problem in networks, bringing down ISP networks for days togather) 
> needs to be done too.
[rp] You mean LDP session flapping as one of the triggering factor. Correct?

> 
> The exact measurements and time delays are not clear either, like when 
> to start measuring and what periods to measure.
[rp] We will try to see how we can clarify this in the future versions. 
> 
> I would think we may need a revision of the draft before we go in 
> further in the IETF process.
[rp] Sure, we are yet to submit a proposal for the work item, and would like
to see both efforts go in parallel. Otherwise, all the effort that we are
putting in to this work may go no where. 
> 
> Thanks,
> Vishwas
> _______________________________________________
> bmwg mailing list
> [email-masked]
> http://www.ietf.org/mailman/listinfo/bmwg
> 

_______________________________________________
bmwg mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/bmwg

---

From: "Andrey Kiselev (ankisele)" <[email-masked]>
Date: Thu, 28 Feb 2008 11:11:50 -0500

Hi Rajiv,

I totally support LDP scalability standardization effort. Form my
prospective there is a space for a separate LDP scalability document(s),
aside from the convergence draft.

Thanks,

Andrey 

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Rajiv Papneja
Sent: Thursday, February 28, 2008 9:30 AM
To: 'Vishwas Manral'
Cc: [email-masked]
Subject: [bmwg] FW: LDP convergence

Hello Vishwas,

Thanks for the thorough review of our draft, and appreciate your
feedback.
All inputs are valuable and we will try to address them soon. Please see

> will go down, because of the short hold period.
[rp] Completely agree with you as both of these are critical components
for benchmarking performance of an implementation. We can definitely
include it in the work proposal that we are planning to submit to the
mailing list soon, and have the group decide if this work item should
address the scaling as well. I personally would like to include scaling
as part of this effort. 

[rp] Agree, we will add the CPU utilization, and memory usage in the
reporting metrics. Also, we will also add the initial recommended
conditions before any test is started.

> problem in networks, bringing down ISP networks for days togather) 
[rp] You mean LDP session flapping as one of the triggering factor.
Correct?

> further in the IETF process.
[rp] Sure, we are yet to submit a proposal for the work item, and would
like to see both efforts go in parallel. Otherwise, all the effort that
we are putting in to this work may go no where.

---

From: "Rajiv Papneja" <[email-masked]>
Date: Thu, 28 Feb 2008 12:15:31 -0500

I agree with your assessment, let us see what other group members have to
say. Thanks once again, Rajiv

> Andrey Kiselev (ankisele)
> Sent: Thursday, February 28, 2008 11:12 AM
> To: Rajiv Papneja
> Cc: [email-masked]
> Subject: Re: [bmwg] FW: LDP convergence
> 
> 
> Hi Rajiv,
>